Page MenuHomePhabricator

Change enwiki logo to "Option A" until February 4
Closed, ResolvedPublic

Description

I've just closed a thread on the English Wikipedia village pump with a consensus that we should change the English Wikipedia's logo away from the current celebratory logo and to the "Option A" logo, i.e. File:WP20 EnWiki20 SimplifiedLogo BillionEdits.svg.

Wugapodes mentioned in the discussion that this patch set should already have this changed prepped.

Event Timeline

Urbanecm triaged this task as High priority.

Change 657397 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] [enwiki] Update celebration logo to "option A"

https://gerrit.wikimedia.org/r/657397

Change 657397 merged by jenkins-bot:
[operations/mediawiki-config@master] [enwiki] Update celebration logo to "option A"

https://gerrit.wikimedia.org/r/657397

Mentioned in SAL (#wikimedia-operations) [2021-01-20T19:22:30Z] <urbanecm@deploy1001> Synchronized static/images/project-logos: 13fb338249b3ec73e380c4971ee697f28a2f6d76: [enwiki] Update celebration logo to "option A" (T272526) (duration: 01m 05s)

Change 657323 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Revert "[enwiki] Update celebration logo to "option A""

https://gerrit.wikimedia.org/r/657323

Change 657323 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "[enwiki] Update celebration logo to "option A""

https://gerrit.wikimedia.org/r/657323

Mentioned in SAL (#wikimedia-operations) [2021-01-20T19:33:41Z] <urbanecm@deploy1001> Synchronized static/images/project-logos: 5c941678ec739dd6b5257b4a8f866b7e3a257f45: Revert: [enwiki] Update celebration logo to "option A" (T272526) (duration: 01m 04s)

@Mz7 I tried to deploy this change, however, I had to revert it. Wikipedia looked like this:

image.png (826×1 px, 496 KB)

As you can see, the bottom line is cut, and can't be seen. The logo needs to be maximally 135px x 160px, sadly, I forgot to check it carefully :/.

Could you please prepare a new SVG, that doesn't exceed those dimensions? Thank you!

@Urbanecm I've uploaded the set at https://commons.wikimedia.org/wiki/File:Enwiki20B-2x.png, https://commons.wikimedia.org/wiki/File:Enwiki20B-1.5x.png, and https://commons.wikimedia.org/wiki/File:Enwiki20B.png which should fit within the 135x160 limit. They'll need compressed as well which @Jdforrester-WMF did for the first set but I don't quite understand enough to do myself. If you need the straight svg, it's also available at https://commons.wikimedia.org/wiki/File:WP20_EnWiki20_SimplifiedLogo_BillionEdits.svg

They'll need compressed but I don't quite understand enough to do myself

In theory see https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests#Change_the_logo_of_a_Wikimedia_wiki (not sure how understandable that is, though).

Sadly, that still has issues when replaced directly. This is what it does in 1.5x:

image.png (829×1 px, 585 KB)

I tried to play with the site CSS in the browser development tools, and I figured out that changing background-size: 135px auto; to 125px helps. The good question is why. I'm not sure if it's a good idea to change it on-wiki during the temporary logo. Any thoughts?

Per community consensus, I've put up the hacky CSS to put in a new image. This is not ideal, but given the time frame, folks wanted it. Please do revert if it slows everything way tf down

@Amorymeltzer: It does, as now both https://en.wikipedia.org/static/images/project-logos/enwiki20.png and https://upload.wikimedia.org/wikipedia/commons/0/0c/Enwiki20B.png (and hence additional 25 kB) get loaded for every user, plus the call is more expensive as it's not a static resource.
It is also documented at https://meta.wikimedia.org/wiki/Logo#Temporary_logo_variants not to do this.

Yes, thanks @Aklapper, I was indeed aware of that. No one intends this to be the solution, just a stopgap since work here stalled and nobody can continue until the beginning of next week, nearly half-way through the allotted timeframe.

The new logo looks really fuzzy/blurry, especially with the text. Is there any way to fix that?

The image size isn't correct—the native resolution is 125px but is being scaled to 100px in the CSS. Setting the background-size on .mw-wiki-logo to 125px and increasing the height by ~15px seems to kinda work, but maybe too big?

Screen Shot 2021-01-22 at 4.20.30 PM.png (742×938 px, 258 KB)

Change 657914 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Revert "Revert "[enwiki] Update celebration logo to "option A"""

https://gerrit.wikimedia.org/r/657914

Per community consensus, I've put up the hacky CSS to put in a new image. This is not ideal, but given the time frame, folks wanted it. Please do revert if it slows everything way tf down

The work did not stall, rather, it just appeared really bad, as evidenced above, and I waited on some suggestions. We'll go with a background-size: 125px workaround. I'll try to deploy it on Monday.

Wasn't trying to blame you or anyone @Urbanecm, sorry if it came off that way; I just meant that we were asked to deal with this locally since there wasn't movement here and folks were antsy. Not the first time that enwiki had a different timeline in line than the dev volunteers!

Regarding the size, yes that's exactly why I had it set to 100, it was more faithful to the original image's presence; 125 seemed overpowering. 125 also overflowed on monobook. Happy to tweak until done here!

IMO we should go with background-size: 125px but re-render the commons images to make the globe smaller to match the normal logo. (Comparing the two, the WP20 logo's text is sized appropriately at 125px, but the globe is too large.)

L-to-R: normal, 125, 100:

Screen Shot 2021-01-22 at 5.40.35 PM.png (566×1 px, 392 KB)

Per community consensus, I've put up the hacky CSS to put in a new image. This is not ideal, but given the time frame, folks wanted it. Please do revert if it slows everything way tf down

Please revert your change immediately. If you need to move things on a different timetable, ask and we can figure something out, but doing the thing that is explicitly documented as something not to do isn't acceptable.

Change 657914 abandoned by Urbanecm:
[operations/mediawiki-config@master] Revert "Revert "[enwiki] Update celebration logo to "option A"""

Reason:
It would probably overflow in other skins, let's prepare a slightly smaller logo

https://gerrit.wikimedia.org/r/657914

Change 657927 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Add enwiki20 "Option A" fixed logos

https://gerrit.wikimedia.org/r/657927

Change 657929 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Switch enwiki to use enwiki20 "Option A" logo variant

https://gerrit.wikimedia.org/r/657929

Change 657927 merged by jenkins-bot:
[operations/mediawiki-config@master] Add enwiki20 "Option A" fixed logos

https://gerrit.wikimedia.org/r/657927

Mentioned in SAL (#wikimedia-operations) [2021-01-23T00:36:23Z] <legoktm@deploy1001> Synchronized static/images/project-logos/: Add enwiki20 "Option A" fixed logos (T272526) (duration: 00m 59s)

@Legoktm - I can't tell if that Stashbot message means this is done on the "back end" - if so please drop a note and we will pull out the front end hacks

Change 657929 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch enwiki to use enwiki20 "Option A" logo variant

https://gerrit.wikimedia.org/r/657929

@Legoktm - I can't tell if that Stashbot message means this is done on the "back end" - if so please drop a note and we will pull out the front end hacks

Not yet, will be soon.

Mentioned in SAL (#wikimedia-operations) [2021-01-23T00:46:14Z] <legoktm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Switch enwiki to use enwiki20 "Option A" logo variant (T272526) (duration: 00m 57s)

@Legoktm - I can't tell if that Stashbot message means this is done on the "back end" - if so please drop a note and we will pull out the front end hacks

Not yet, will be soon.

That just happened. I removed the hack, logo seems to work for me properly. Closing.

This should be fixed now. I'm genuinely annoyed/frustrated/disappointed with certain actions taken causing sysadmins to be forced to react on a Friday, when we really shouldn't be. I'll leave a more detailed note on WP:IAN.

Thanks to @Urbanecm, @Isarra, and @Earwig for their assistance in getting this fixed properly.

I'm discussing this with legoktm on-wiki, but I want to apologize here to all I put in a tough position on a Friday, especially you Andre as it seems I did not appreciate the severity or urgency of your note in T272526#6769471.

@Amorymeltzer: Eh, thanks, and no worries. :) (tbh I had also been unsure how "alarmingly" I should phrase my comment here, or not.)